loci.formats.in

## Class SPEReader.SpeROI

- java.lang.Object
- - loci.formats.in.SPEReader.SpeROI

- Enclosing class:
    SPEReader

      private class SPEReader.SpeROI
      extends java.lang.Object

  Private class to represent the data for a single ROI in the SPE format

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `endX`
    `private int` | `endY`
    `private int` | `groupX`
    `private int` | `groupY`
    `private int` | `startX`
    `private int` | `startY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeROI(int xStart, int xEnd, int xGroup, int yStart, int yEnd, int yGroup)` Constructor for SpeROI objects

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEndX()`
    `int` | `getEndY()`
    `int` | `getGroupX()`
    `int` | `getGroupY()`
    `int` | `getStartX()`
    `int` | `getStartY()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startX

          private int startX

    - #### endX

          private int endX

    - #### groupX

          private int groupX

    - #### startY

          private int startY

    - #### endY

          private int endY

    - #### groupY

          private int groupY

  - ### Constructor Detail

    - #### SpeROI

          public SpeROI(int xStart,
                        int xEnd,
                        int xGroup,
                        int yStart,
                        int yEnd,
                        int yGroup)

      Constructor for SpeROI objects
      Parameters:
        `xStart` - The starting X axis location for the ROI(the top leftmost point)
        `xEnd` - The ending X axis location for the ROI(the top rightmost point)
        `xGroup` - The binning or grouping value used along the X axis
        `yStart` - The starting Y axis location for the ROI(the top leftmost point)
        `yEnd` - The ending Y axis location for the ROI(the bottom leftmost point)
        `yGroup` - The binning or grouping value used along the Y axis

  - ### Method Detail

    - #### getStartX

          public int getStartX()

      Returns:
        The starting X axis location for the ROI(the top leftmost point)

    - #### getEndX

          public int getEndX()

      Returns:
        The ending X axis location for the ROI(the top rightmost point)

    - #### getGroupX

          public int getGroupX()

      Returns:
        The binning or grouping value used along the X axis

    - #### getStartY

          public int getStartY()

      Returns:
        The starting Y axis location for the ROI(the top leftmost point)

    - #### getEndY

          public int getEndY()

      Returns:
        The ending Y axis location for the ROI(the bottom leftmost point)

    - #### getGroupY

          public int getGroupY()

      Returns:
        The binning or grouping value used along the Y axis

Copyright © 2026 Open Microscopy Environment